This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 532284 - prepopulate with RSS to librivox audio books?
prepopulate with RSS to librivox audio books?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 01:58 EST by Máirín Duffy
Modified: 2009-11-05 08:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 07:43:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2009-11-01 01:58:05 EST
Description of problem:

LibriVox has a great selection of audio books. It would be cool to have another category in Rhythmbox, under radio, for Audio books... I'll do the icon if you need one :) It should take RSS or actual files.

Just an idea. I've been using the Podcast area of Rhythmbox to listen to books from LibriVox and it's great.

Here's some books I found that I thought might be worth including:


• Little Women, Louisa May Alcott
∘  http://librivox.org/bookfeeds/little-women-by-louisa-may-alcott.xml
• Andersen's Fairy Tale, Hans Christian Andersen
∘ http://librivox.org/bookfeeds/andersens-fairy-tales-by-hc-andersen.xml
• Pride and Prejudice, Jane Austen
∘ http://librivox.org/bookfeeds/pride-and-prejudice-by-jane-austen-2.xml
• Peter Pan, J.M. Barrie
∘ http://librivox.org/bookfeeds/peter-pan-by-j-m-barrie.xml
• The Wonderful Wizard of Oz, Frank L. Baum
∘ http://librivox.org/bookfeeds/the-wonderful-wizard-of-oz.xml
• Wuthering Heights, Emily Bronte
∘ http://librivox.org/bookfeeds/wuthering-heights-by-emily-bronte-2.xml
• The Secret Garden, Frances Hodgson Burnett
∘ http://librivox.org/bookfeeds/the-secret-garden-by-frances-hodgson-burnett.xml
• Heart of Darkness, Joseph Conrad
∘ http://librivox.org/bookfeeds/heart-of-darkness-by-joseph-conrad.xml
• The Sayings of Confucius, Confucius
∘ http://librivox.org/bookfeeds/the-sayings-of-confucius-by-confucius.xml
• The Last of the Mohicans, James Fenimore Cooper
∘ http://librivox.org/bookfeeds/the-last-of-the-mohicans-by-james-fenimore-cooper.xml
• Robinson Crusoe, Daniel Defoe
∘ http://librivox.org/bookfeeds/robinson-crusoe-by-daniel-defoe.xml
• Great Expectations, Charles Dickens
∘ http://librivox.org/bookfeeds/great-expectations-by-charles-dickens.xml
• Selected Poems of Emily Dickinson, Emily Dickinson
∘ http://librivox.org/bookfeeds/selected-poems-of-emily-dickinson.xml
• The Adventures of Sherlock Holmes, Sir Arthur Conan Doyle
∘ http://librivox.org/bookfeeds/the-adventures-of-sherlock-holmes.xml
• The Three Musketeers, Alexandre Dumas
∘ http://librivox.org/bookfeeds/the-three-musketeers-by-alexandre-dumas.xml
• The Canterbury Tales, Geoffrey Chaucer
∘ http://librivox.org/bookfeeds/the-canterbury-tales-by-geoffrey-chaucer.xml
• Walden, Henry David Thoreau
∘ http://librivox.org/bookfeeds/walden-by-henry-david-thoreau.xml
• Selected Poems, Robert Frost
∘ http://librivox.org/bookfeeds/selected-poems-by-robert-frost.xml
• One Hundred Verses from Old Japan, Fujiware no Teika
∘ http://librivox.org/bookfeeds/one-hundred-verses-from-old-japan-by-teika-porter.xml
• Siddhartha, Hermann Hesse
∘ http://librivox.org/bookfeeds/siddhartha-by-hermann-hesse.xml
• The Iliad, Homer 
∘ http://librivox.org/bookfeeds/the-iliad-by-homer-translated-by-samuel-butler.xml
• Celtic Fairy Tales, Joseph Jacobs
∘ http://librivox.org/bookfeeds/celtic-fairy-tales-by-joseph-jacobs.xml
• The Book of Tea, Okakura Kakuzo
∘ http://librivox.org/bookfeeds/the-book-of-tea-by-okakura-kakuzo.xml
• The Story of My Life, Helen Keller
∘ http://librivox.org/bookfeeds/the-story-of-my-life-by-helen-keller.xml
• Dracula, Bram Stoker
∘ http://librivox.org/bookfeeds/dracula-by-bram-stoker.xml
• Twenty Thousand Leagues Under the Sea
∘ http://librivox.org/bookfeeds/twenty-thousand-leagues-under-the-sea-by-jules-verne.xml
• The Adventures of Huckleberry Finn, Mark Twain
∘ http://librivox.org/bookfeeds/the-adventures-of-huckleberry-finn-version-3.xml
Comment 1 Bastien Nocera 2009-11-05 07:43:44 EST
You can't add default books like that by default. Rhythmbox would start downloading them when started up by default, and I don't think users would want that.

Furthermore, the feeds only provide books in English from the looks of it.

This would probably be interesting as a source plugin, where you would list the interesting books available on librivox and offer the user to add the feeds, but it's not workable as an installation default.

Feel free to file an upstream bug with this idea.
Comment 2 Máirín Duffy 2009-11-05 08:04:52 EST
Ah they do start downloading off on their own, that's a good point, fair enough. I like the idea of a plugin instead, I'll file it upsteam thanks :)

Note You need to log in before you can comment on or make changes to this bug.